package org.jerrymouse.database;

import java.util.List;

public interface DaoSupport<T> {
	// 删一个对象
	void delete(Object object);

	// 取一个对象
	Object get(Object key, Class<T> type);

	List<T> list(Class<T> type);

	List<T> list(Class<T> type, List keys);

	// 改一个对象
	void post(Object object);

	// 存一个对象
	void put(T object);

}
